<template>
  <div class="user-username-add-on">
    <router-link :to="route">{{ user.username }}</router-link>
  </div>
</template>

<script>
import { computed } from 'vue'

export default {
  name: 'UserUsernameAddOn',
  props: {
    user: { type: Object, required: true },
  },
  setup(props) {
    const route = computed(() => {
      return props.user ? { name: 'identity-user-profile', params: { username: props.user.username } } : null
    })

    return {
      route,
    }
  },
}
</script>
